Bug 1985347 - failed to configure pod interface: error while waiting on flows for pod: timed out waiting for OVS flows
Summary: failed to configure pod interface: error while waiting on flows for pod: time...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Federico Paolinelli
QA Contact: Dan Brahaney
URL:
Whiteboard:
Depends On: 1962608
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-23 13:10 UTC by Federico Paolinelli
Modified: 2021-08-12 01:36 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1962608
Environment:
Last Closed: 2021-08-12 01:36:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 620 0 None open Bug 1985347: ensure missed events are handled during a reconnection 2021-07-23 13:24:39 UTC
Red Hat Product Errata RHBA-2021:3008 0 None None None 2021-08-12 01:36:51 UTC

Internal Links: 2005181

Comment 2 zhaozhanqi 2021-07-29 06:50:23 UTC
Dan, please also take the 4.6.z version, thanks

Comment 4 Dan Brahaney 2021-08-05 13:46:07 UTC
Attempted replication of error as described here in original bug report https://bugzilla.redhat.com/show_bug.cgi?id=1952819#c13

blocked traffic with iptables and then unblocked, with similar results to those detailed by Anurag in original bug here https://bugzilla.redhat.com/show_bug.cgi?id=1952819#c14

 
oc logs -c ovnkube-master ovnkube-master-ff34a | grep -i "openshift-monitoring/prometheus-k8s-0"
I0805 09:05:11.266234       1 kube.go:61] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.2.11/23"],"mac_address":"0a:58:0a:81:21:2a","gateway_ips":["10.128.2.1"],"ip_address":"10.128.2.11/23","gateway_ip":"10.128.2.1"}}] on pod openshift-monitoring/prometheus-k8s-0
I0805 09:05:12.457884       1 pods.go:302] [openshift-monitoring/prometheus-k8s-0] addLogicalPort took 112.252770ms
I0805 09:09:31.255278       1 pods.go:91] Deleting pod: openshift-monitoring/prometheus-k8s-0   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<
I0805 09:17:55.354366       1 kube.go:61] Setting annotations map[k8s.ovn.org/pod-networks:{"default":{"ip_addresses":["10.128.2.12/23"],"mac_address":"0a:58:0a:81:21:2b","gateway_ips":["10.128.2.1"],"ip_address":"10.128.2.12/23","gateway_ip":"10.128.2.1"}}] on pod openshift-monitoring/prometheus-k8s-0
I0805 09:18:05.983864       1 pods.go:302] [openshift-monitoring/prometheus-k8s-0] addLogicalPort took 99.245677ms   <<<<<<<<<<<<


Marking verified.

Comment 6 errata-xmlrpc 2021-08-12 01:36:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.42 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3008


Note You need to log in before you can comment on or make changes to this bug.